using System;
using Addison_Wesley.Codebook.Filesystem;

namespace Hledání_na_cestách
{
   class Program
   {
      [STAThread]
      static void Main(string[] args)
      {
         Console.Title = "Hledání programového souboru na systémových cestách";

         // Hledání souboru notepad.exe
         string fileName = FileUtils.FindFileInSystemPaths("notepad.exe");
         if (fileName != null)
         {
            Console.WriteLine("Nalezeno: {0}", fileName);
         }
         else
         {
            Console.WriteLine("Nenalezeno");
         }

         // Hledání souboru java.exe
         fileName = FileUtils.FindFileInSystemPaths("java.exe");
         if (fileName != null)
         {
            Console.WriteLine("Nalezeno: {0}", fileName);
         }
         else
         {
            Console.WriteLine("Nenalezeno");
         }

         Console.WriteLine();
         Console.WriteLine();
         Console.WriteLine("Stiskni Enter");
         Console.ReadLine();
      }
   }
}
